Author Topic: CentOS6 Upgrade  (Read 40340 times)

0 Members and 3 Guests are viewing this topic.

Offline
*
Re: CentOS6 Upgrade
« Reply #135 on: April 28, 2017, 07:27:52 PM »
Everything went fine according to instructions,

But Varnish Server not working in Combinations (Apache + Varnish Server) and  (Apache + ngix +Varnish Server)

Only Apache or Apache + ngix working.

After changing default Web Servers Vhost is rebuilded.

But Varnish is not installing

Loaded plugins: fastestmirror
Setting up Remove Process
Loading mirror speeds from cached hostfile
 * base: repos.mia.quadranet.com
 * extras: repos.mia.quadranet.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: repos.mia.quadranet.com
No Packages marked for removal
Detected operating system as centos/6.
Checking for curl...
Detected curl...
Downloading repository file: https://packagecloud.io/install/repositories/varnishcache/varnish5/config_file.repo?os=centos&dist=6&source=script
done.
Installing pygpgme to verify GPG signatures...
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: repos.mia.quadranet.com
 * extras: repos.mia.quadranet.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: repos.mia.quadranet.com
Package pygpgme-0.1-18.20090824bzr68.el6.x86_64 already installed and latest version
Nothing to do
Installing yum-utils...
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.confluxtech.com
 * extras: mirror.confluxtech.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: mirror.confluxtech.com
Package yum-utils-1.1.30-40.el6.noarch already installed and latest version
Nothing to do
Generating yum cache for varnishcache_varnish5...

The repository is setup! You can now install packages.
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.confluxtech.com
 * extras: mirror.confluxtech.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: mirror.confluxtech.com
Resolving Dependencies
--> Running transaction check
---> Package varnish.x86_64 0:5.1.2-1.el6 will be installed
--> Processing Dependency: jemalloc for package: varnish-5.1.2-1.el6.x86_64
--> Processing Dependency: libjemalloc.so.1()(64bit) for package: varnish-5.1.2-1.el6.x86_64
--> Finished Dependency Resolution
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
*** Rebuild All Virtual Hosts ***
Setup default Web Servers

New LiteSpeed Enterprise WebServer (30 Day Free Trial!)
Don't forget to rebuild Virtual Hosts if you make changes here.

Netstat info
tcp        0      0 :::443                      :::*                        LISTEN      29842/httpd         
tcp        0      0 :::80                       :::*                        LISTEN      29842/httpd         


Select Default Web Servers which you want to use:
 Apache Only
 LiteSpeed Enterprise (Free for 30days, get license here)
 Apache & Nginx Reverse Proxy (Nginx on port 80 and apache on port 8181)
 Apache & Varnish Cache (Varnish on port 80 and apache on port 8181 [Varnish Conf])
* Apache & Varnish Cache & Nginx Reverse Proxy (Varnish on port 80, Nginx on port 82 and apache on port 8181 [Varnish Conf])

Save & Rebuild Configuration

Offline
*
Re: CentOS6 Upgrade
« Reply #136 on: April 28, 2017, 09:10:15 PM »
It restarts but it is giving an error.
MYSQL Restart and REsult ?

Code: [Select]
Warning: Error while sending QUERY packet. PID=7614 in /usr/local/cwpsrv/htdocs/resources/admin/include/functions.php on line 0

Warning: [obfuscated]() expects exactly 1 parameter, 0 given in /usr/local/cwpsrv/htdocs/resources/admin/include/functions.php on line 0

Warning: [obfuscated]() expects parameter 1 to be mysqli_result, boolean given in /usr/local/cwpsrv/htdocs/resources/admin/include/functions.php on line 0



I made an update and I did not receive any errors.

When I just want to do "Apache & Varnish Cache" after updating, do not install varnish? Is it just running Apache?

Offline
*
Re: CentOS6 Upgrade
« Reply #137 on: April 29, 2017, 01:19:28 PM »
I have the same problem

SSL: error:0B080074:x509 certificate routines:X509_check_private_key:key values mismatch

Please advice which mismatch could cause this error?

Offline
*
Re: CentOS6 Upgrade
« Reply #138 on: May 01, 2017, 05:33:15 AM »
Everything went fine according to instructions,

But Varnish Server not working in Combinations (Apache + Varnish Server) and  (Apache + ngix +Varnish Server)

Only Apache or Apache + ngix working.

After changing default Web Servers Vhost is rebuilded.

But Varnish is not installing

Loaded plugins: fastestmirror
Setting up Remove Process
Loading mirror speeds from cached hostfile
 * base: repos.mia.quadranet.com
 * extras: repos.mia.quadranet.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: repos.mia.quadranet.com
No Packages marked for removal
Detected operating system as centos/6.
Checking for curl...
Detected curl...
Downloading repository file: https://packagecloud.io/install/repositories/varnishcache/varnish5/config_file.repo?os=centos&dist=6&source=script
done.
Installing pygpgme to verify GPG signatures...
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: repos.mia.quadranet.com
 * extras: repos.mia.quadranet.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: repos.mia.quadranet.com
Package pygpgme-0.1-18.20090824bzr68.el6.x86_64 already installed and latest version
Nothing to do
Installing yum-utils...
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.confluxtech.com
 * extras: mirror.confluxtech.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: mirror.confluxtech.com
Package yum-utils-1.1.30-40.el6.noarch already installed and latest version
Nothing to do
Generating yum cache for varnishcache_varnish5...

The repository is setup! You can now install packages.
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.confluxtech.com
 * extras: mirror.confluxtech.com
 * remi-safe: repo1.ash.innoscale.net
 * rpmforge: mirror.teklinks.com
 * updates: mirror.confluxtech.com
Resolving Dependencies
--> Running transaction check
---> Package varnish.x86_64 0:5.1.2-1.el6 will be installed
--> Processing Dependency: jemalloc for package: varnish-5.1.2-1.el6.x86_64
--> Processing Dependency: libjemalloc.so.1()(64bit) for package: varnish-5.1.2-1.el6.x86_64
--> Finished Dependency Resolution
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
*** Rebuild All Virtual Hosts ***
Setup default Web Servers

New LiteSpeed Enterprise WebServer (30 Day Free Trial!)
Don't forget to rebuild Virtual Hosts if you make changes here.

Netstat info
tcp        0      0 :::443                      :::*                        LISTEN      29842/httpd         
tcp        0      0 :::80                       :::*                        LISTEN      29842/httpd         


Select Default Web Servers which you want to use:
 Apache Only
 LiteSpeed Enterprise (Free for 30days, get license here)
 Apache & Nginx Reverse Proxy (Nginx on port 80 and apache on port 8181)
 Apache & Varnish Cache (Varnish on port 80 and apache on port 8181 [Varnish Conf])
* Apache & Varnish Cache & Nginx Reverse Proxy (Varnish on port 80, Nginx on port 82 and apache on port 8181 [Varnish Conf])

Save & Rebuild Configuration


Hi,
I have this problem too.

Offline
*
Re: CentOS6 Upgrade
« Reply #139 on: May 09, 2017, 07:57:29 PM »
I have the same problem

SSL: error:0B080074:x509 certificate routines:X509_check_private_key:key values mismatch

Please advice which mismatch could cause this error?

try to update your hostname from cwp, just like you would change it.
Varnish issue is related with yum repository issue so you need to check you update on your server.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
*
Re: CentOS6 Upgrade
« Reply #140 on: May 16, 2017, 11:44:07 PM »
This is all I did and it fixed the problem.

[root@NS1 logs]# yum install cwp-suphp.x86_64
Loaded plugins: fastestmirror, replace
Setting up Install Process
Loading mirror speeds from cached hostfile
 * base: mirror.tzulo.com
 * extras: mirror.genesisadaptive.com
 * nux-dextop: mirror.li.nux.ro
 * rpmforge: mirror.team-cymru.org
 * updates: mirrors.gigenet.com
Resolving Dependencies
--> Running transaction check
---> Package cwp-suphp.x86_64 0:0.7.2-3 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================
 Package                         Arch                         Version                       Repository                 Size
============================================================================================================================
Installing:
 cwp-suphp                       x86_64                       0.7.2-3                       cwp                        71 k

Transaction Summary
============================================================================================================================
Install       1 Package(s)

Total download size: 71 k
Installed size: 192 k
Is this ok [y/N]: y
Downloading Packages:
cwp-suphp-0.7.2-3.x86_64.rpm                                                                         |  71 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : cwp-suphp-0.7.2-3.x86_64                                                                                 1/1
  Verifying  : cwp-suphp-0.7.2-3.x86_64                                                                                 1/1

Installed:
  cwp-suphp.x86_64 0:0.7.2-3                                                                                               

Complete!


Offline
*
Re: CentOS6 Upgrade
« Reply #141 on: May 17, 2017, 09:41:11 PM »
can you help me please?

Code: [Select]
Starting httpd: AH00548: NameVirtualHost has no effect and will be removed in the next release /usr/local/apache/conf/sharedip.conf:1
AH00526: Syntax error on line 9 of /usr/local/apache/conf.d/webmail.conf:
Invalid command 'ProxyPass', perhaps misspelled or defined by a module not included in the server configuration
                                                           [FAILED]

Offline
*
Re: CentOS6 Upgrade
« Reply #142 on: May 27, 2017, 06:17:32 AM »
I have the same problem

SSL: error:0B080074:x509 certificate routines:X509_check_private_key:key values mismatch

Please advice which mismatch could cause this error?

try to update your hostname from cwp, just like you would change it.
Varnish issue is related with yum repository issue so you need to check you update on your server.


The hostname is not cwp, or which hostname we talking about?


[root@vps04002 ~]# more /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
127.0.0.1 vps04002.net.xxx.xx
127.0.0.1 autoreply.vps04002.net.xxx.xx
xx.xxx.xx.76   vps04002.net.xxx.xx


Should I change some hostname in CWP settings?

Offline
*****
Re: CentOS6 Upgrade
« Reply #143 on: May 30, 2017, 06:48:49 AM »
The hostname is not cwp, or which hostname we talking about?
[root@vps04002 ~]# more /etc/hosts
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
127.0.0.1 vps04002.net.xxx.xx
127.0.0.1 autoreply.vps04002.net.xxx.xx
xx.xxx.xx.76   vps04002.net.xxx.xx


Should I change some hostname in CWP settings?

Hi, check if the hostname is reachable from world and install SSL via CWP => Server setting => Change hostname

Offline
**
Re: CentOS6 Upgrade
« Reply #144 on: June 07, 2017, 02:19:30 AM »
FYI this worked I got apache with mod_sec playing nicely again. Now it seems my server is stuck at CWP version: 0.9.8.188? Is this right?

Any updates on apache not starting after mod_security is installed?

Hi, backup configuration and try:
Code: [Select]
yum -y reinstall cwp-httpd

Offline
*
CentOS6 Upgrade , help!!!!!!!!!
« Reply #145 on: June 10, 2017, 06:37:38 AM »
Hi, update according to the instructions in this post, until I get to Apache Upgrade script, from that point I no longer work anything, appeared 500 error, try
 Sh apache.sh restore
But the problem continues and httpd does not start. The following error appears:

 Service httpd restart
Stopping httpd: [OK]
Starting httpd: Warning: SuexecUserGroup directive requires SUEXEC wrapper.
Warning: SuexecUserGroup directive requires SUEXEC wrapper.
Warning: SuexecUserGroup directive requires SUEXEC wrapper.

And when executing:

Yum reinstall cwp-httpd cwp-suphp

Loaded plugins: fastestmirror, replace
Setting up Reinstall Process
No Match for argument: cwp-httpd
Loading mirror speeds from cached hostfile
 * Base: mirrors.coreix.net
 * Extras: mirror.vorboss.net
 * Rpmforge: ftp.nluug.nl
 * Updates: mirrors.coreix.net
Package (s) cwp-httpd available, but not installed.
No Match for argument: cwp-suphp
Package (s) cwp-suphp available, but not installed.
Error: Nothing to do


On the other hand, when entering CWP

Warning: main (../../ resources / admin / include / db_conn.php): failed to open stream: No such file or directory in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: main (../../ resources / admin / include / db_conn.php): failed to open stream: No such file or directory in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: main (): Failed opening '../resources/admin/include/db_conn.php' for inclusion (include_path = '.: / Usr / local / cwp / php71 / lib / php') in / usr /local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: main (../../ resources / admin / include / postfix.php): failed to open stream: No such file or directory in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: main (../../ resources / admin / include / postfix.php): failed to open stream: No such file or directory in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: main (): Failed opening '../resources/admin/include/postfix.php' for inclusion (include_path = '.: / Usr / local / cwp / php71 / lib / php') in / usr /local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_host_postfix in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_user_postfix in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_pass_postfix in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_name_postfix in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: [obfuscated] (): (HY000 / 1045): Access denied for user '' @ 'localhost' (using password: NO) in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_host in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_user in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_pass in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Notice: Undefined variable: db_name in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0

Warning: [obfuscated] (): (HY000 / 1045): Access denied for user '' @ 'localhost' (using password: NO) in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0
** Check your MySQL root password in: /usr/local/cwpsrv/htdocs/resources/admin/include/db_conn.php and /root/.my.cnf


Warning: [obfuscated] () expects exactly 1 parameter, 0 given in /usr/local/cwpsrv/htdocs/admin/admin/index.php on line 0
Could not connect:

Offline
*
Re: CentOS6 Upgrade
« Reply #146 on: June 17, 2017, 06:25:27 PM »
Hi all!

I have upgrade everything but now the Mysql doesn't start. Apache and CWP apparently are ok but MySql doesn't.

How can I repair the Mysql?

Thanks in advance,

Gustavo

Offline
*
Re: CentOS6 Upgrade
« Reply #147 on: June 28, 2017, 12:13:45 PM »
you need to check mysql logs for issues with mysql.
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services

Offline
**
Re: CentOS6 Upgrade
« Reply #148 on: June 30, 2017, 02:09:56 AM »
My panel seems stuck at CWP version: 0.9.8.188, is that the max for Centos 6?

Offline
*
Re: CentOS6 Upgrade
« Reply #149 on: June 30, 2017, 09:09:55 AM »
My panel seems stuck at CWP version: 0.9.8.188, is that the max for Centos 6?

run this for manual update
Code: [Select]
sh /scripts/update_cwp
AntiDDoS Protection (web + mail)
http://centos-webpanel.com/website-ddos-protection-proxy

Join our Development Team and get paid !
http://centos-webpanel.com/develope-modules-for-cwp


Services Monitoring & RBL Monitoring
http://centos-webpanel.com/services-monitor


Do you need Fast and FREE Support included for your CWP linux server?
http://centos-webpanel.com/noc-partner-list
Installation Instructions
http://centos-webpanel.com/installation-instructions
Get Fast Support Here
http://centos-webpanel.com/support-services